Bug 69324 - "exit" command causes octave to segfault
Summary: "exit" command causes octave to segfault
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: octave (Show other bugs)
(Show other bugs)
Version: null
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 67218
TreeView+ depends on / blocked
 
Reported: 2002-07-21 02:34 UTC by petrosyan
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-28 06:18:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description petrosyan 2002-07-21 02:34:59 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020712

Description of problem:
if you just start a freshly installed octave from the command line and then
execute "format long e" command you get a segfault

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.start octave from command line
2.execute "format long e"

read the following message on your screen:

GNU Octave, version 2.1.36 (i686-pc-linux-gnu).
Copyright (C) 1996, 1997, 1998, 1999, 2000, 2001, 2002 John W. Eaton.
This is free software; see the source code for copying conditions.
There is ABSOLUTELY NO WARRANTY; not even for MERCHANTIBILITY or
FITNESS FOR A PARTICULAR PURPOSE.  For details, type `warranty'.

Report bugs to <bug-octave@bevo.che.wisc.edu>.

octave:1> format long e
panic: Segmentation fault -- stopping myself...
attempting to save variables to `octave-core'...

Comment 1 Trond Eivind Glomsrxd 2002-07-22 21:56:09 UTC
Reproduced. Not the correct way of using the command (format long, e on
different lines), didn't happen with gcc 2.96RH.

Comment 2 petrosyan 2002-07-23 02:22:02 UTC
"format long" or "format short" also crash octave.


Comment 3 Trond Eivind Glomsrxd 2002-08-09 22:36:38 UTC
This was a bug in libstdc++ - libstdc++-3.2-0.1.1 and octave-2.1.36-7 work well
together without this problem.

Comment 4 petrosyan 2002-08-09 23:20:42 UTC
"format long" and "format short" don't cause sefault anymore but
now I have the following problem:
I start octave and just after I start it I give it the "exit" command.
It segfaults:
$ octave
GNU Octave, version 2.1.36 (i686-pc-linux-gnu).
Copyright (C) 1996, 1997, 1998, 1999, 2000, 2001, 2002 John W. Eaton.
This is free software; see the source code for copying conditions.
There is ABSOLUTELY NO WARRANTY; not even for MERCHANTIBILITY or
FITNESS FOR A PARTICULAR PURPOSE.  For details, type `warranty'.

Report bugs to <bug-octave@bevo.che.wisc.edu>.

octave:1> exit
panic: Segmentation fault -- stopping myself...
attempting to save variables to `octave-core'...

I am using Limbo2 with libstdc++-3.2-0.1.1 and octave-2.1.36-7


Comment 5 Trond Eivind Glomsrxd 2002-08-28 06:18:17 UTC
I've looked at this a couple of times, and I can't really see why it happens -
and it's not with older gcc. sigh.

Comment 6 Trond Eivind Glomsrxd 2002-09-06 15:59:37 UTC
This was a bug in gcc - fixed in gcc 3.2-7. Octave 2.1.36-9 has a workaround as
well (compiler flags).




Note You need to log in before you can comment on or make changes to this bug.